## cascading.pipe.joiner
Class RightJoin.JoinIterator

    java.lang.Object
      cascading.pipe.joiner.InnerJoin.JoinIterator
          cascading.pipe.joiner.OuterJoin.JoinIterator
              cascading.pipe.joiner.RightJoin.JoinIterator

All Implemented Interfaces:
  Iterator<Tuple>

Enclosing class:
  RightJoin

    public static class RightJoin.JoinIterator

extends OuterJoin.JoinIterator

Constructor Summary
`RightJoin.JoinIterator(JoinerClosure closure)`

Method Summary
`protected boolean` `isOuter(int i)`

Methods inherited from class cascading.pipe.joiner.OuterJoin.JoinIterator
`getIterator, init`

Methods inherited from class cascading.pipe.joiner.InnerJoin.JoinIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RightJoin.JoinIterator

    public RightJoin.JoinIterator(JoinerClosure closure)

Method Detail

### isOuter

    protected boolean isOuter(int i)

  Overrides:
    `isOuter` in class `OuterJoin.JoinIterator`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.